<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/expansionworld.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d6c/a09322_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionworld.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d6c/a09322.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionWorld.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/df6/a05082.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/df6/a05082.html">ExpansionWorld</a>: <a class="code hl_class" href="../../d4/dcb/a04342.html">ExpansionGame</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/df6/a05082.html#ae603963e7b495528b0ed9aa606a933db">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df6/a05082.html#ae603963e7b495528b0ed9aa606a933db">ExpansionWorld</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_class" href="../../dd/d5b/a04562.html">ExpansionAttachmentHelper</a>.<a class="code hl_function" href="../../dd/d5b/a04562.html#a7f9d9ef963eabde026980f40c0763991">Init</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../db/df6/a05082.html#a9ae94d831f552314d6b2690b017bb85e">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df6/a05082.html#a9ae94d831f552314d6b2690b017bb85e">FirearmEffects</a>(Object source, Object directHit, <span class="keywordtype">int</span> componentIndex, <span class="keywordtype">string</span> surface, vector pos, vector surfNormal, vector exitPos, vector inSpeed, vector outSpeed, <span class="keywordtype">bool</span> isWater, <span class="keywordtype">bool</span> deflected, <span class="keywordtype">string</span> ammoType) </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#ifdef DIAG</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordtype">string</span> msg;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        msg += <span class="stringliteral">&quot;&quot;</span> + directHit + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        msg += <span class="stringliteral">&quot;&quot;</span> + componentIndex + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        msg += <span class="stringliteral">&quot;&quot;</span> + surface + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        msg += <span class="stringliteral">&quot;&quot;</span> + pos + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        msg += <span class="stringliteral">&quot;&quot;</span> + surfNormal + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        msg += <span class="stringliteral">&quot;&quot;</span> + exitPos + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        msg += <span class="stringliteral">&quot;&quot;</span> + inSpeed + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        msg += <span class="stringliteral">&quot;&quot;</span> + outSpeed + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        msg += <span class="stringliteral">&quot;&quot;</span> + isWater + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        msg += <span class="stringliteral">&quot;&quot;</span> + deflected + <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        msg += <span class="stringliteral">&quot;&quot;</span> + ammoType;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">Print</a>(<a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_variable" href="../../d7/dc9/a04370.html#adbab3a0ca0b3a2d1fad263a238f18d8b">WEAPONS</a>, source, msg);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> (GetGame().IsServer())</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">if</span> (source &amp;&amp; source.ShootsExplosiveAmmo() &amp;&amp; !deflected &amp;&amp; outSpeed == vector.Zero)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetDamageSystem().<a class="code hl_enumvalue" href="../../db/db2/a00020.html#aec40debd65342bfbdfa08ccd000b3e95a19edda9ba8a31d63e5007e1880440553">Enabled</a>)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                    <span class="keywordtype">string</span> explosionAmmoType = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a2a9d6f1e022e151e90082b23ac164716">GetDamageSystem</a>().<a class="code hl_variable" href="../../dd/dc6/a04462.html#af349f6bc4af1eafdab67eea5871ec948">ExplosiveProjectiles</a>[ammoType];</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                    <span class="keywordflow">if</span> (explosionAmmoType)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                        <a class="code hl_class" href="../../db/de2/a04650.html">ExpansionDamageSystem</a>.<a class="code hl_function" href="../../db/de2/a04650.html#ad29c5a9453a06c80a2bbf1ef76ea790e">OnBeforeExplode</a>(EntityAI.Cast(source), DT_EXPLOSION, explosionAmmoType, pos);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        super.FirearmEffects(source, directHit, componentIndex, surface, pos, surfNormal, exitPos, inSpeed, outSpeed, isWater, deflected, ammoType);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../db/df6/a05082.html#a2870e6fa86f372dff00ac9d3cc94d586">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df6/a05082.html#a2870e6fa86f372dff00ac9d3cc94d586">WriteRemovedWorldObjects</a>(ParamsReadContext ctx)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_class" href="../../dd/db2/a06914.html">ExpansionWorldObjectsModule</a>.WriteRemovedObjects(ctx);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../db/df6/a05082.html#aad27b38f8a7a3716d6ec46d9ff8ce801">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df6/a05082.html#aad27b38f8a7a3716d6ec46d9ff8ce801">ReadRemovedWorldObjects</a>(ParamsReadContext ctx)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_class" href="../../dd/db2/a06914.html">ExpansionWorldObjectsModule</a>.RPC_RemoveObjects(ctx);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>};</div>
<div class="ttc" id="aa00020_html_aec40debd65342bfbdfa08ccd000b3e95a19edda9ba8a31d63e5007e1880440553"><div class="ttname"><a href="../../db/db2/a00020.html#aec40debd65342bfbdfa08ccd000b3e95a19edda9ba8a31d63e5007e1880440553">Enabled</a></div><div class="ttdeci">@ Enabled</div><div class="ttdef"><b>Definition:</b> <a href="../../db/db2/a00020_source.html#l00016">expansionflagmenumode.c:16</a></div></div>
<div class="ttc" id="aa03482_html_a2a9d6f1e022e151e90082b23ac164716"><div class="ttname"><a href="../../d1/d07/a03482.html#a2a9d6f1e022e151e90082b23ac164716">ExpansionSettings::GetDamageSystem</a></div><div class="ttdeci">ExpansionDamageSystemSettings GetDamageSystem(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa04342_html"><div class="ttname"><a href="../../d4/dcb/a04342.html">ExpansionGame</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00013">expansiongame.c:14</a></div></div>
<div class="ttc" id="aa04370_html"><div class="ttname"><a href="../../d7/dc9/a04370.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa04370_html_a2bd46e35ded12b22921809a459391fe0"><div class="ttname"><a href="../../d7/dc9/a04370.html#a2bd46e35ded12b22921809a459391fe0">EXTrace::Print</a></div><div class="ttdeci">static void Print(bool yes=true, Class instance=null, string msg=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00278">expansiontracing.c:278</a></div></div>
<div class="ttc" id="aa04370_html_adbab3a0ca0b3a2d1fad263a238f18d8b"><div class="ttname"><a href="../../d7/dc9/a04370.html#adbab3a0ca0b3a2d1fad263a238f18d8b">EXTrace::WEAPONS</a></div><div class="ttdeci">static bool WEAPONS</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00112">expansiontracing.c:112</a></div></div>
<div class="ttc" id="aa04462_html_af349f6bc4af1eafdab67eea5871ec948"><div class="ttname"><a href="../../dd/dc6/a04462.html#af349f6bc4af1eafdab67eea5871ec948">ExpansionDamageSystemSettings::ExplosiveProjectiles</a></div><div class="ttdeci">ref map&lt; string, string &gt; ExplosiveProjectiles</div><div class="ttdoc">Mapping bullet ammo type to explosion ammo type.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d8a/a00899_source.html#l00027">damagesystemsettings.c:27</a></div></div>
<div class="ttc" id="aa04562_html"><div class="ttname"><a href="../../dd/d5b/a04562.html">ExpansionAttachmentHelper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3c/a00971_source.html#l00013">expansionattachmenthelper.c:14</a></div></div>
<div class="ttc" id="aa04562_html_a7f9d9ef963eabde026980f40c0763991"><div class="ttname"><a href="../../dd/d5b/a04562.html#a7f9d9ef963eabde026980f40c0763991">ExpansionAttachmentHelper::Init</a></div><div class="ttdeci">static void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3c/a00971_source.html#l00019">expansionattachmenthelper.c:19</a></div></div>
<div class="ttc" id="aa04650_html"><div class="ttname"><a href="../../db/de2/a04650.html">ExpansionDamageSystem</a></div><div class="ttdoc">Consistent explosion damage.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dcf/a01031_source.html#l00014">expansiondamagesystem.c:15</a></div></div>
<div class="ttc" id="aa04650_html_ad29c5a9453a06c80a2bbf1ef76ea790e"><div class="ttname"><a href="../../db/de2/a04650.html#ad29c5a9453a06c80a2bbf1ef76ea790e">ExpansionDamageSystem::OnBeforeExplode</a></div><div class="ttdeci">static void OnBeforeExplode(EntityAI source, int damageType, string ammoType=&quot;&quot;, vector position=vector.Zero)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dcf/a01031_source.html#l00103">expansiondamagesystem.c:103</a></div></div>
<div class="ttc" id="aa05082_html"><div class="ttname"><a href="../../db/df6/a05082.html">ExpansionWorld</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d6c/a09322_source.html#l00013">expansionworld.c:14</a></div></div>
<div class="ttc" id="aa05082_html_a2870e6fa86f372dff00ac9d3cc94d586"><div class="ttname"><a href="../../db/df6/a05082.html#a2870e6fa86f372dff00ac9d3cc94d586">ExpansionWorld::WriteRemovedWorldObjects</a></div><div class="ttdeci">override void WriteRemovedWorldObjects(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d6c/a09322_source.html#l00054">expansionworld.c:54</a></div></div>
<div class="ttc" id="aa05082_html_a9ae94d831f552314d6b2690b017bb85e"><div class="ttname"><a href="../../db/df6/a05082.html#a9ae94d831f552314d6b2690b017bb85e">ExpansionWorld::FirearmEffects</a></div><div class="ttdeci">override void FirearmEffects(Object source, Object directHit, int componentIndex, string surface, vector pos, vector surfNormal, vector exitPos, vector inSpeed, vector outSpeed, bool isWater, bool deflected, string ammoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d6c/a09322_source.html#l00020">expansionworld.c:20</a></div></div>
<div class="ttc" id="aa05082_html_aad27b38f8a7a3716d6ec46d9ff8ce801"><div class="ttname"><a href="../../db/df6/a05082.html#aad27b38f8a7a3716d6ec46d9ff8ce801">ExpansionWorld::ReadRemovedWorldObjects</a></div><div class="ttdeci">override void ReadRemovedWorldObjects(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d6c/a09322_source.html#l00059">expansionworld.c:59</a></div></div>
<div class="ttc" id="aa05082_html_ae603963e7b495528b0ed9aa606a933db"><div class="ttname"><a href="../../db/df6/a05082.html#ae603963e7b495528b0ed9aa606a933db">ExpansionWorld::ExpansionWorld</a></div><div class="ttdeci">void ExpansionWorld()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d6c/a09322_source.html#l00015">expansionworld.c:15</a></div></div>
<div class="ttc" id="aa06914_html"><div class="ttname"><a href="../../dd/db2/a06914.html">ExpansionWorldObjectsModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dc6/a09331_source.html#l00013">expansionworldobjectsmodule.c:14</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../d1/d6c/a09322.html">expansionworld.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
